Несколько уязвимостей в phpAutoVideo

Дата публикации:
25.12.2007
Дата изменения:
24.03.2009
Всего просмотров:
1373
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-6614
CVE-2007-6615
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpAutoVideo 2.x
Уязвимые версии: phpAutoVideo 2.21, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю получить доступ к важным данным и выполнить произвольный PHP сценарий на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "selected_provider" в сценарии includes/block.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Пример:

http://[host]/includes/block.php?selected_provider=[file]%00

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "loadadminpage" в сценарии admin/frontpage_right.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/admin/frontpage_right.php?loadadminpage=[file]

URL производителя: secure.agaresmedia.com/product_info.php?products_id=35

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

или введите имя

CAPTCHA